<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css" media="screen">
		div{
			width: 10px;
			height: 10px;
			position: absolute;
			top: 0px;
			left: 0px;
			border-radius: 100%;
			background-color: black;
		}
	</style>
	<script type="text/javascript">
		
		window.addEventListener("load", (e)=>{
			let cursor=document.querySelector("div");

			cursor.style.left="0px";
			cursor.style.top="0px";

		
			window.addEventListener("keydown",(e)=>{
				switch (e.keyCode) {
					case 37: 
						// left
						cursor.style.left=parseInt(cursor.style.left)-10+"px";
						break;
					case 39:
						// right
						cursor.style.left=parseInt(cursor.style.left)+10+"px";
						break;
					case 38:
						// up
						cursor.style.top=parseInt(cursor.style.top)-10+"px";
						break;
					case 40: 
						// down
						cursor.style.top=parseInt(cursor.style.top)+10+"px";
						break;
					
				}
			});
		})
		
	</script>
</head>
<body>
	<div>
		&nbsp;
	</div>
</body>
</html>